package types

type Gender string

const (
    GenderSecure Gender = "Secure" // 保密
    GenderMale   Gender = "Male"   // 男
    GenderFemale Gender = "Female" // 女
)

func (Gender) Values() (kinds []string) {
    for _, s := range []Gender{GenderSecure, GenderMale, GenderFemale} {
        kinds = append(kinds, string(s))
    }
    return
}
