package types

type Status string

const (
    StatusNormal   Status = "Normal"   // 正常状态
    StatusPending  Status = "Pending"  // 等待状态
    StatusDisabled Status = "Disabled" // 禁用
    StatusLocked   Status = "Locked"   // 锁定
)

func (Status) Values() (kinds []string) {
    for _, s := range []Status{StatusNormal, StatusPending, StatusDisabled, StatusLocked} {
        kinds = append(kinds, string(s))
    }
    return
}
